Package org.apache.wiki.parser

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.parser.ParseException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ParseException
    extends WikiException

This is an exception which gets thrown whenever the parser cannot parse the parsing things.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ParseException​(java.lang.String msg)` Constructs a new ParseException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException​(java.lang.String msg)

Constructs a new ParseException.

Parameters:
  `msg` - the message exception.